FileController Methods

The FileController type exposes the following members.

Methods
  NameDescription
Public methodAddRecentlyUsed
PUT /File/RecentlyUsed/{id} Adds the given file ID to the list of recently used items.
Protected methodAddToMostRecentlyUsed
Adds the given file ID to the list of recently used items.
(Inherited from FileSystemEntryControllerBase.)
Public methodBatchDelete
POST /File/Delete Deletes the files or folders with the specified IDs.
Public methodCheckIn(CheckInIdsOptions, NullableGuid)
POST /File/CheckIn Checks in files with the specified IDs and comments.
Public methodCheckIn(Guid, CheckInOptions, NullableGuid)
POST /File/CheckIn/{id}/ Checks in the file with the specified ID and comments.
Public methodCheckOut(Guid, NullableGuid)
PUT /File/CheckOut/{id}/ Checks out the file with the specified ID to the caller.
Public methodCheckOut(Guid, NullableGuid)
PUT /File/CheckOut/ Checks out files with the specified IDs to the caller.
Protected methodClearMostRecentlyUsed
Gets the most recently used files for the current user.
(Inherited from FileSystemEntryControllerBase.)
Public methodClearRecentlyUsed
DELETE /File/RecentlyUsed/ Clears the most recently used items.
Protected methodCopyEntry
Copies the file system entry with the specified ID to the new location.
(Inherited from FileSystemEntryControllerBase.)
Public methodCopyFile
POST /File/Copy/{id} Copies the file with the specified ID.
Public methodCreateFolder
POST /File/Folder Creates a folder in the application's file system.
Public methodDelete(BatchDeleteOptions, NullableGuid) Obsolete.
POST /File/ OBSOLETE - Use POST /File/Delete instead. Deletes the files or folders with the specified IDs.
Public methodDelete(Guid, DeleteOptions, NullableGuid)
DELETE /File/{id} Deletes the file or folder with the specified ID.
Public methodDeleteOldEntityData
POST /File/DeleteOldEntityData Deletes data from entities which are not the current revision and were created before the specified date.
Public methodEmptyRecycleBin
POST /File/EmptyRecycleBin/ Empties all of the recycled files or folders from the recycle bin.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodEnsureVisible
POST /File/EnsureVisible/{id}/ Ensures that a particular entity is visible to the specified accounts and groups.
Protected methodEntryExists(Guid, NullableGuid)
Determines whether an entry with the specified name exists in the specified folder.
(Inherited from FileSystemEntryControllerBase.)
Protected methodEntryExists(String, Guid, NullableGuid)
Determines whether an entry with the specified name exists in the specified folder.
(Inherited from FileSystemEntryControllerBase.)
Public methodFileExists(Guid, NullableGuid)
GET /File/Exists/{id} Determines whether a file with the specified ID exists.
Public methodFileExists(Guid, String, NullableGuid)
POST /File/NameExists/{parentId} Determines whether a file with the specified name exists in the specified folder.
Protected methodFileSystemQueryHelper
Retrieves information about multiple files or folders.
(Inherited from FileSystemEntryControllerBase.)
Public methodGetCheckedOutReferences
GET /File/CheckedOutReferences/{id}/ Gets the specified file's checked out references.
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetDownstreamReferenceExplosion
GET /File/ReferencesToRecursive/{id}/ Gets the references (downstream reference explosion) to the specified file. This is recursive.
Protected methodGetEntryTags
Gets a list of entry tags and their usage.
(Inherited from FileSystemEntryControllerBase.)
Public methodGetFileById
GET /File/{id} Gets the file or folder.
Public methodGetFileByName
POST /File/Name/ Gets the file.
Public methodGetLastModifiedTime
GET /File/LastModifiedTime/{id} Gets the file's last modified time for cache comparison.
Protected methodGetMostRecentlyUsed
Gets the most recently used files for the current user.
(Inherited from FileSystemEntryControllerBase.)
Public methodGetRecentlyUsed
GET /File/RecentlyUsed/ Gets the most recently used files for the current user.
Public methodGetRecycleBinFolder
GET /File/RecycleBin/ Gets the recycle bin folder.
Public methodGetReferencedBy
GET /File/ReferencedBy/{id}/ Gets the files referenced by the specified file.
Public methodGetReferencesTo
GET /File/ReferencesTo/{id}/ Gets the references to the specified file.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetUnusedEntitiesForProject
GET /File/UnusedEntitiesForProject/{id} Gets the unused entities found in the specified project.
Public methodGetUpstreamReferenceExplosion
GET /File/ReferencedByRecursive/{id}/ Gets the references (upstream reference explosion) to the specified file. This is recursive.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Protected methodMoveEntry
Moves the file or folder with the specified ID.
(Inherited from FileSystemEntryControllerBase.)
Public methodMoveFile
POST /File/Move/{id} Moves the file with the specified ID.
Public methodPromoteTransient
POST /File/PromoteTransient/{id} Promotes a transient file to a real one.
Public methodQueryFiles
POST /File/Query/ Gets multiple files or folders.
Protected methodQueryFileSystemEntry
Retrieves information about multiple files or folders.
(Inherited from FileSystemEntryControllerBase.)
Protected methodQueryFileSystemEntryCount
Retrieves the number of files and folders that match the query options.
(Inherited from FileSystemEntryControllerBase.)
Public methodQueryNumberOfFiles
POST /File/Count/ Gets the number of files and folders.
Public methodQueryRevision
POST /File/RevisionQuery/ Retrieves information about multiple files or folders revision history.
Protected methodRenameEntry
Renames the file or folder with the specified ID.
(Inherited from FileSystemEntryControllerBase.)
Public methodRenameFile
PUT /File/Rename/{id} Renames the file with the specified ID.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Public methodRestoreRecycleBin
POST /File/RestoreRecycleBin/ Restores the recycled files or folders with the specified IDs.
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Protected methodRevisionQuery
Retrieves information about multiple revisions on files or folders.
(Inherited from FileSystemEntryControllerBase.)
Protected methodRollbackEntry
Rolls the file or folder back to the specified revision number.
(Inherited from FileSystemEntryControllerBase.)
Public methodRollbackFile
POST /File/Rollback/{id} Rolls the file with the specified ID back to the specified revision number.
Public methodSearchTags
POST /File/Tags Gets the tags that match the text passed in.
Public methodSetDescription
PUT /File/Description/{id} Updates a file's description.
Protected methodSetEntryDescription
Sets the entry description.
(Inherited from FileSystemEntryControllerBase.)
Protected methodSetEntryPrivileges
Sets the entry privileges.
(Inherited from FileSystemEntryControllerBase.)
Protected methodSetEntryTags
Sets an entry tags.
(Inherited from FileSystemEntryControllerBase.)
Public methodSetPrivileges
PUT /File/Privileges/{id} Updates a file's privileges.
Public methodSetTags
PUT /File/Tags/{id} Updates a file's tags.
Protected methodTouchEntry(Guid, NullableGuid)
Updates the last modified time of the entry with the specified ID.
(Inherited from FileSystemEntryControllerBase.)
Protected methodTouchEntry(Guid, NullableGuid)
Updates the last modified time of the entries with the specified IDs.
(Inherited from FileSystemEntryControllerBase.)
Public methodTouchFile(Guid, NullableGuid)
PUT /File/Touch/{id} Updates the last modified time of the file with the specified ID.
Public methodTouchFile(Guid, NullableGuid)
PUT /File/Touch/ Updates the last modified time of files with the specified IDs.
Public methodTransferCheckOut
POST /File/TransferCheckOut/{id}/ Transfers the checked out file with the specified ID to the specified account ID.
Public methodUndoCheckOut(Guid, NullableGuid)
POST /File/UndoCheckOut/{id}/ Discards the changes to the checked out file with the specified ID, and cancels the check out.
Public methodUndoCheckOut(Guid, NullableGuid)
POST /File/UndoCheckOut Discards the changes to the checked out files with the specified IDs, and cancels the check out.
Top
See Also